class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
  before_filter :load_user

  protected
    def load_user
      if session[:user]
        @user = User.find session[:user]
      end
    end
end
