class Attachment < ActiveRecord::Base
  belongs_to :post

  def self.saveFile(upload, post)
    dir = Rails.root.join("public", "data")
    unless File.exists? dir
      Dir.mkdir dir
    end
    fname = upload.original_filename
    #fname.gsub!(/^\w\.\_/,"_")
    a = Attachment.new
    a.filename = ''
    a.mime = upload.content_type
    a.post = post
    a.original_name = fname
    a.save
    path = File.join(dir, a.id.to_s)
    File.open(path, "wb") do |f| f.write(upload.read) end
    a.filename = path
    a.size = File.size(path)
    a.save
  end
end
