class Post < ActiveRecord::Base
  belongs_to :author, class_name: 'User', foreign_key: :author_id
  belongs_to :user
  has_one :attachment

  validates :text, presence: true

  def get_attachment
    return if attachment.nil?
    file = Rails.root.join('public','data', self.attachment.id.to_s)
  end
end
