class UsersController < ApplicationController
  def show
    @post = Post.new
    @posts = @user.get_posts_page(params[:page])
    @u = User.find params[:id]
  end

  def new
    @user = User.new
  end

  def create
    @user = User.new(params_user)
    if @user.save
      @current_user = @user
      session[:user] = @user.id
      flash[:notice] = "Logged in successfully"
      redirect_to action: :show
    else
      flash[:notice] = "Errors occurred"
      render :new
      return
    end
  end

  def edit
    @user = User.new
  end
  
  def update
    @user = User.update(params_user)
  end
  
  def forgotten
  end
  
  def send_forgotten
  end

  private
    def params_user
      params.require(:user).permit([:email, :name, :birthdate, :password, :password_confirmation, :account_number])
    end
end
